public class SnakeGame {
    public static void main(String[] args) {
        if (args.length != 0) { // otherwise, print usage and exit
            System.out.println("Usage: java SnakeGame [width height]");
            return;
        }
        int width = 600;
        int height = 600;

        PennDraw.setCanvasSize(width, height);
        // Set the scale in terms of width and height;
        // hopefully gives "rounder" numbers for sizes & speeds than
        // using the default scale of 0-1.
        PennDraw.setXscale(0, width);
        PennDraw.setYscale(0, height);
        PennDraw.enableAnimation(5);

        Board board = new Board(width, height);
        while (true) {
            PennDraw.clear();
            board.update();
            board.draw();
            PennDraw.advance();
        }
    }
}